package cn.axzo.workflow.core.service;

import cn.axzo.workflow.common.model.response.bpmn.model.BpmnModelExtVO;
import cn.axzo.workflow.core.repository.entity.ExtAxReModel;

import java.util.List;

/**
 * 模型扩展表操作 Service
 *
 * @author wangli
 * @since 2023/11/18 15:05
 */
public interface ExtAxReModelService {
    List<ExtAxReModel> listByModelIds(List<String> modelIds);

    void create(String modeId);

    void update(String modelId, Integer status);

    void changeStatus(String modelId, Integer status);

    BpmnModelExtVO getStatusByModelId(String modelId);
}
